﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace GetData

    <Serializable>
    Public Class GetEquipment

        <XmlElement(ElementName:="Choice")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Choice() As ChoiceEquipment

    End Class

    <Serializable>
    Public Class ChoiceEquipment

        '''<remarks/>
        <XmlElement(ElementName:="EquipmentTypeNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property EquipmentTypeNumber() As String

        '''<remarks/>
        '''Format: YYYY-MM-DD
        <XmlElement(ElementName:="ChangedSince")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ChangedSince() As String

    End Class

End Namespace
