﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace GetData

    <Serializable>
    Public Class GetOpenOrder

        <XmlElement(ElementName:="Choice")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Choice() As ChoiceOpenOrder

    End Class

    <Serializable>
    Public Class ChoiceOpenOrder

        '''<remarks/>
        '''Format: YYYY-MM-DD
        <XmlElement(ElementName:="ChangedSince")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ChangedSince() As String

        '''<remarks/>
        <XmlElement(ElementName:="OrderNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property OrderNumber() As String

        '''<remarks/>
        <XmlElement(ElementName:="KeyAccountGroup")>
        <MaxLength(10)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property KeyAccountGroup() As String

    End Class

End Namespace
