﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace ResponseData

    <Serializable>
    Public Class SetResponse

        Private responseField As New List(Of Response)

        <XmlElement(ElementName:="Responses")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public ReadOnly Property Responses() As List(Of Response)
            Get
                Return Me.responseField
            End Get
        End Property

    End Class

    '<Serializable>
    'Public Class Responses
    '    Private responseListe As List(Of Response)

    '    Public Sub New()
    '        responseListe = New List(Of Response)
    '    End Sub

    '    Public Sub Add(pResponse As Response)
    '        responseListe.Add(pResponse)
    '    End Sub

    '    <XmlElement(ElementName:="Response")>
    '    <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
    '    Public Property ResponsesListe() As List(Of Response)
    '        Get
    '            Return Me.responseListe
    '        End Get
    '        Set
    '            Me.responseListe = Value
    '        End Set
    '    End Property
    'End Class

    <Serializable>
    Public Class Response

        Private requestIDField As String
        Private ticketIDField As String
        Private statusIDField As Integer
        Private statusDescriptionField As String
        Private errorInfoField As String
        Private enwisIDField As String
        Private confirmationIDField As String

        Public Sub New()
            requestIDField = ""
            ticketIDField = ""
            statusIDField = 0
            statusDescriptionField = ""
            errorInfoField = ""
            enwisIDField = ""
            confirmationIDField = ""
        End Sub

        '''<remarks/>
        <XmlElement(ElementName:="RequestID")>
        <MaxLength(50)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property RequestID() As String
            Get
                Return Me.requestIDField
            End Get
            Set
                Me.requestIDField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="TicketID")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property TicketID() As String
            Get
                Return Me.ticketIDField
            End Get
            Set
                Me.ticketIDField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="StatusID")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property StatusID() As Integer
            Get
                Return Me.statusIDField
            End Get
            Set
                Me.statusIDField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="StatusDescription")>
        <MaxLength(200)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property StatusDescription() As String
            Get
                Return Me.statusDescriptionField
            End Get
            Set
                Me.statusDescriptionField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="ErrorInfo")>
        <MaxLength(1024)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ErrorInfo() As String
            Get
                Return Me.errorInfoField
            End Get
            Set
                Me.errorInfoField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="EnwisID")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property EnwisID() As String
            Get
                Return Me.enwisIDField
            End Get
            Set
                Me.enwisIDField = Value
            End Set
        End Property

        '''<remarks/>
        <XmlElement(ElementName:="ConfirmationID")>
        <MaxLength(5)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ConfirmationID() As String
            Get
                Return Me.confirmationIDField
            End Get
            Set
                Me.confirmationIDField = Value
            End Set
        End Property

    End Class

End Namespace
