﻿
Imports System.ComponentModel
Imports System.ComponentModel.DataAnnotations
Imports System.Xml.Serialization

Namespace GetData

    <Serializable>
    Public Class GetService

        <XmlElement(ElementName:="Choice")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property Choice() As ChoiceService

    End Class

    <Serializable>
    Public Class ChoiceService

        '''<remarks/>
        <XmlElement(ElementName:="ServiceNumber")>
        <MaxLength(20)>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ServiceNumber() As String

        '''<remarks/>
        '''Format: YYYY-MM-DD
        <XmlElement(ElementName:="ChangedSince")>
        <Browsable(False), EditorBrowsable(EditorBrowsableState.Never)>
        Public Property ChangedSince() As String

    End Class

End Namespace
